local ADDON, Package = ...

local Module = {}

function Module.configure_recipient_name_with_class_and_level()
  hooksecurefunc("TradeFrame_Update", function ()
    local _, class = UnitClass("npc")
    local level = UnitLevel("npc")

    if class and level > 0 then
      TradeFrameRecipientNameText:SetFontObject("GameFontNormalSmall")
      TradeFrameRecipientNameText:SetFormattedText(
        "%s%s|r %s%s|r",
        ConvertRGBtoColorString(GetQuestDifficultyColor(level)),
        level,
        ConvertRGBtoColorString(RAID_CLASS_COLORS[class]),
        TradeFrameRecipientNameText:GetText()
      )
    end
  end)
end

Package.Trade = Module
